Google Scholar API
Google Scholarから学術論文の検索結果をリアルタイムで取得します。engine=google_scholar を設定し、トピックまたは論文タイトルを q に渡すことで、著者、引用数、PDFリンクを含む構造化された出版物リストを取得できます。
Endpoint
Section titled “Endpoint” GET https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | あなたのSERP APIキー |
engine | string | yes | google_scholar を指定する必要があります |
q | string | yes | 検索クエリ |
lr | string | no | 言語制限、形式は lang_xx |
hl | string | no | インターフェース言語コード |
start | int | no | ページネーション用の結果オフセット |
num | int | no | 1ページあたりの結果数 |
as_vis | int | no | 引用を除外する場合は 1、含める場合は 0 |
safe | string | no | active または off |
cites | string | no | Cited By検索をトリガーするための記事の一意ID |
as_ylo | int | no | 含める最も古い年 |
as_yhi | int | no | 含める最も新しい年 |
scisbd | int | no | 抄録のみの場合は 1、すべての結果の場合は 0 |
Example request
Section titled “Example request”curl "https://serp.shifter.io/v1?engine=google_scholar&api_key=YOUR_API_KEY&q=python"import requests
params = { "engine": "google_scholar", "api_key": "YOUR_API_KEY", "q": "python",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_scholar', api_key: 'YOUR_API_KEY', q: 'python',});const data = await (await fetch(url)).json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "google_scholar", "q": "python" }, "organic_results": [ { "position": 1, "title": "Python for data analysis", "result_id": "FDc6HiktlqEJ", "link": "https://example.com/paper.pdf", "snippet": "This book is concerned with the nuts and bolts of manipulating...", "publication_info": { "summary": "W McKinney - 2012 - oreilly.com" }, "inline_links": { "cited_by": { "total": 12000, "cites_id": "11234567" } } } ]}